# Configuration for the CPU.

[options]
    require_manual_disambiguation = true

[divisions]
    open = {name ="Open",min=0,max=999}
    junior = {name = "Juniors",min=18.5,max=22.5}
    subjunior = {name = "Sub-Juniors",min=0,max=17.5}
    master1 = {name = "Masters 1",min=39.5,max=48.5}
    master2 = {name = "Masters 2",min=49.5,max=58.5}
    master3 = {name = "Masters 3",min=59.5,max=68.5}
    master4 = {name = "Masters 4",min=69.5,max=999}
    specialolympics = {name = "SO",min=0,max=999}
    specialolympicsjr = {name = "SO Juniors",min=18.5,max=22.5}
    specialolympicsm1 = {name = "SO Masters 1",min=39.5,max=48.5}
    specialolympicsm2 = {name = "SO Masters 2",min=49.5,max=58.5}
    blind = {name = "Blind",min=0,max=999}
    disabled = {name = "Disabled",min=0,max=999}

[weightclasses.default_M]
    classes = ["59","66","74","83","93","105","120","120+"]
    date_range=["2011-01-01","9999-01-01"]
    sex = "M"

[weightclasses.default_F]
    classes = ["47","52","57","63","69","76","84","84+"]
    date_range=["2021-01-01","9999-01-01"]
    sex = "F"

[weightclasses.year2020_F]
    classes = ["47","52","57","63","72","84","84+"]
    date_range=["2011-01-01","2020-12-31"]
    sex = "F"

[weightclasses.junior_M]
    classes = ["53","59","66","74","83","93","105","120","120+"]
    date_range=["2011-01-01","9999-01-01"]
    sex = "M"
    divisions = ["Juniors","Sub-Juniors"]

[weightclasses.junior_F]
    classes = ["43","47","52","57","63","69","76","84","84+"]
    date_range=["2021-01-01","9999-01-01"]
    sex = "F"
    divisions = ["Juniors","Sub-Juniors"]

[weightclasses.year2020_junior_F]
    classes = ["43","47","52","57","63","72","84","84+"]
    date_range=["2011-01-01","2020-12-31"]
    sex = "F"
    divisions = ["Juniors","Sub-Juniors"]

[weightclasses.old_M]
    # 140/140+ class is not a CPU WC, but there are a large number of old meets with this WC and no bodyweight
    classes = ["52","56","60","67.5","75","82.5","90","100","110","125","140","125+","140+"]
    date_range = ["0000-01-01","2010-12-31"]
    sex = "M"

[weightclasses.old_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","90+"]
    date_range = ["0000-01-01","2010-12-31"]
    sex = "F"

[exemptions]
    1999-01-30-acf5c857 = ["ExemptDivision"]
    2000-01-08-1346c372 = ["ExemptDivision"]
    1983-06-18-a4ab573f = ["ExemptWeightClassConsistency"]
